# BEGIN SourceDeps(oneline):
BuildRequires: libGL-devel libsowing-devel perl(Devel/CheckOS.pm) perl(DynaLoader.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(OpenGL/Modern.pm) perl(Test/More.pm) perl(Time/HiRes.pm)
# END SourceDeps(oneline)
%define module_name OpenGL-Array
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.71
Release: alt5
Summary: Perl Array handling and conversion between Perl arrays and C array pointers.
Group: Development/Perl
License: perl
URL: http://sourceforge.net/projects/pogl/

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CH/CHM/%{module_name}-%{version}.tar.gz

%description
OpenGL-Array version 0.71
============================

This is a stand-alone distribution of OpenGL::Array
(which includes OpenGL::Matrix).  All of these were
implicitly loaded whenever the Perl OpenGL module was use-d.

This module should be compatible with OpenGL::Array
and OpenGL::Matrix from Perl OpenGL version 0.70 and can
be used as a replacement for that functionality.

The separate release is to enable backwards and forwards
compatibility between the legacy OpenGL module functionality

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_archlib/O*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.71-alt5
- rebuild with perl 5.38

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 0.71-alt4
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.71-alt3
- rebuild with perl 5.30

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 0.71-alt2.1
- rebuild with perl 5.28.1

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 0.71-alt2
- rebuild with perl 5.26

* Thu Mar 09 2017 Igor Vlasenko <viy@altlinux.ru> 0.71-alt1
- initial import by package builder

